<?php

namespace Litecms\StairStepSetting\Repositories\Eloquent;

use Litecms\StairStepSetting\Interfaces\StairStepSettingRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class StairStepSettingRepository extends BaseRepository implements StairStepSettingRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.stair_step_setting.stair_step_setting.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.stair_step_setting.stair_step_setting.model.model');
    }
}
